Name:		perl-PatchReader
Version: 	0.9.5
Release: 	7%{?dist}
Summary:	Utilities to read and manipulate patches and CVS

Group: 		Development/Libraries
License: 	MPLv1.1
URL: 		http://search.cpan.org/dist/PatchReader/
Source: 	http://www.cpan.org/authors/id/J/JK/JKEISER/PatchReader-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: 	noarch
BuildRequires: 	perl >= 1:5.6.1
BuildRequires:	perl(File::Temp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Simple)
Requires: 	cvs
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
PatchReader is a set of utilities for reading in, transforming, and doing
various other things with a patch.  It basically allows you to create a
chain of readers that can read a patch, remove files from a patch, add
CVS context, fix up the patch root according to CVS, and output the patch
as raw unified or through a template processor (used in some places to
output a patch as HTML).


%prep
%setup -q -n PatchReader-%{version}
chmod 644 Changes README
find . -name "*.pm" | xargs chmod 644
%{__perl} -pi -e 's/\r//g' Changes README


%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root, -)
%doc Changes README
%{_mandir}/man3/PatchReader.*
%{perl_vendorlib}/PatchReader.pm
%{perl_vendorlib}/PatchReader/


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.5-5.2
Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.5-4.2
- add BR: perl(Test::Simple)

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.5-4.1
- add BR: perl(ExtUtils::MakeMaker)

* Sat Sep  2 2006 Paul W. Frields <stickster@gmail.com> - 0.9.5-4
- Bump release for FC6 mass rebuild

* Sun Dec 11 2005 Paul W. Frields <stickster@gmail.com> - 0.9.5-3
- Final cosmetic tweaks

* Sat Dec 10 2005 Paul W. Frields <stickster@gmail.com> - 0.9.5-2
- Get in line with fedora-rpmdevtools standards

* Thu Dec  8 2005 Paul W. Frields <stickster@gmail.com> - 0.9.5-1
- Initial RPM version for Fedora Extras, based on Dag spec

